

# Amazon Chime SDK Identity
<a name="API_Operations_Amazon_Chime_SDK_Identity"></a>

The following actions are supported by Amazon Chime SDK Identity:
+  [CreateAppInstance](API_CreateAppInstance.md) 
+  [CreateAppInstanceAdmin](API_CreateAppInstanceAdmin.md) 
+  [CreateAppInstanceBot](API_CreateAppInstanceBot.md) 
+  [CreateAppInstanceUser](API_CreateAppInstanceUser.md) 
+  [DeleteAppInstance](API_DeleteAppInstance.md) 
+  [DeleteAppInstanceAdmin](API_DeleteAppInstanceAdmin.md) 
+  [DeleteAppInstanceBot](API_DeleteAppInstanceBot.md) 
+  [DeleteAppInstanceUser](API_DeleteAppInstanceUser.md) 
+  [DeregisterAppInstanceUserEndpoint](API_DeregisterAppInstanceUserEndpoint.md) 
+  [DescribeAppInstance](API_DescribeAppInstance.md) 
+  [DescribeAppInstanceAdmin](API_DescribeAppInstanceAdmin.md) 
+  [DescribeAppInstanceBot](API_DescribeAppInstanceBot.md) 
+  [DescribeAppInstanceUser](API_DescribeAppInstanceUser.md) 
+  [DescribeAppInstanceUserEndpoint](API_DescribeAppInstanceUserEndpoint.md) 
+  [GetAppInstanceRetentionSettings](API_GetAppInstanceRetentionSettings.md) 
+  [ListAppInstanceAdmins](API_ListAppInstanceAdmins.md) 
+  [ListAppInstanceBots](API_ListAppInstanceBots.md) 
+  [ListAppInstances](API_ListAppInstances.md) 
+  [ListAppInstanceUserEndpoints](API_ListAppInstanceUserEndpoints.md) 
+  [ListAppInstanceUsers](API_ListAppInstanceUsers.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [PutAppInstanceRetentionSettings](API_PutAppInstanceRetentionSettings.md) 
+  [PutAppInstanceUserExpirationSettings](API_PutAppInstanceUserExpirationSettings.md) 
+  [RegisterAppInstanceUserEndpoint](API_RegisterAppInstanceUserEndpoint.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateAppInstance](API_UpdateAppInstance.md) 
+  [UpdateAppInstanceBot](API_UpdateAppInstanceBot.md) 
+  [UpdateAppInstanceUser](API_UpdateAppInstanceUser.md) 
+  [UpdateAppInstanceUserEndpoint](API_UpdateAppInstanceUserEndpoint.md) 

# CreateAppInstance
<a name="API_CreateAppInstance"></a>

Creates an Amazon Chime SDK messaging `AppInstance` under an AWS account. Only SDK messaging customers use this API. `CreateAppInstance` supports idempotency behavior as described in the AWS API Standard.

identity

## Request Syntax
<a name="API_CreateAppInstance_RequestSyntax"></a>

```
POST /app-instances HTTP/1.1
Content-type: application/json

{
   "ClientRequestToken": "string",
   "Metadata": "string",
   "Name": "string",
   "Tags": [ 
      { 
         "Key": "string",
         "Value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateAppInstance_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateAppInstance_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [ClientRequestToken](#API_CreateAppInstance_RequestSyntax) **   <a name="chimesdk-CreateAppInstance-request-ClientRequestToken"></a>
The unique ID of the request. Use different tokens to create different `AppInstances`.  
Type: String  
Length Constraints: Minimum length of 2. Maximum length of 64.  
Pattern: `[-_a-zA-Z0-9]*`   
Required: Yes

 ** [Metadata](#API_CreateAppInstance_RequestSyntax) **   <a name="chimesdk-CreateAppInstance-request-Metadata"></a>
The metadata of the `AppInstance`. Limited to a 1KB string in UTF-8.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*`   
Required: No

 ** [Name](#API_CreateAppInstance_RequestSyntax) **   <a name="chimesdk-CreateAppInstance-request-Name"></a>
The name of the `AppInstance`.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\u0009\u000A\u000D\u0020-\u007E\u0085\u00A0-\uD7FF\uE000-\uFFFD\u10000-\u10FFFF]*`   
Required: Yes

 ** [Tags](#API_CreateAppInstance_RequestSyntax) **   <a name="chimesdk-CreateAppInstance-request-Tags"></a>
Tags assigned to the `AppInstance`.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_CreateAppInstance_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "AppInstanceArn": "string"
}
```

## Response Elements
<a name="API_CreateAppInstance_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceArn](#API_CreateAppInstance_ResponseSyntax) **   <a name="chimesdk-CreateAppInstance-response-AppInstanceArn"></a>
The Amazon Resource Number (ARN) of the `AppInstance`.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

## Errors
<a name="API_CreateAppInstance_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_CreateAppInstance_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/CreateAppInstance) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/CreateAppInstance) 

# CreateAppInstanceAdmin
<a name="API_CreateAppInstanceAdmin"></a>

Promotes an `AppInstanceUser` or `AppInstanceBot` to an `AppInstanceAdmin`. The promoted entity can perform the following actions. 
+  `ChannelModerator` actions across all channels in the `AppInstance`.
+  `DeleteChannelMessage` actions.

Only an `AppInstanceUser` and `AppInstanceBot` can be promoted to an `AppInstanceAdmin` role.

## Request Syntax
<a name="API_CreateAppInstanceAdmin_RequestSyntax"></a>

```
POST /app-instances/appInstanceArn/admins HTTP/1.1
Content-type: application/json

{
   "AppInstanceAdminArn": "string"
}
```

## URI Request Parameters
<a name="API_CreateAppInstanceAdmin_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceArn](#API_CreateAppInstanceAdmin_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceAdmin-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_CreateAppInstanceAdmin_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AppInstanceAdminArn](#API_CreateAppInstanceAdmin_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceAdmin-request-AppInstanceAdminArn"></a>
The ARN of an existing instance user or bot, to be promoted to the administrator of the current AppInstance.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Response Syntax
<a name="API_CreateAppInstanceAdmin_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "AppInstanceAdmin": { 
      "Arn": "string",
      "Name": "string"
   },
   "AppInstanceArn": "string"
}
```

## Response Elements
<a name="API_CreateAppInstanceAdmin_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceAdmin](#API_CreateAppInstanceAdmin_ResponseSyntax) **   <a name="chimesdk-CreateAppInstanceAdmin-response-AppInstanceAdmin"></a>
The ARN and name of the administrator, the ARN of the `AppInstance`, and the created and last-updated timestamps. All timestamps use epoch milliseconds.  
Type: [Identity](API_Identity.md) object

 ** [AppInstanceArn](#API_CreateAppInstanceAdmin_ResponseSyntax) **   <a name="chimesdk-CreateAppInstanceAdmin-response-AppInstanceArn"></a>
The ARN of the of the admin for the `AppInstance`.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

## Errors
<a name="API_CreateAppInstanceAdmin_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_CreateAppInstanceAdmin_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/CreateAppInstanceAdmin) 

# CreateAppInstanceBot
<a name="API_CreateAppInstanceBot"></a>

Creates a bot under an Amazon Chime `AppInstance`. The request consists of a unique `Configuration` and `Name` for that bot.

## Request Syntax
<a name="API_CreateAppInstanceBot_RequestSyntax"></a>

```
POST /app-instance-bots HTTP/1.1
Content-type: application/json

{
   "AppInstanceArn": "string",
   "ClientRequestToken": "string",
   "Configuration": { 
      "Lex": { 
         "InvokedBy": { 
            "StandardMessages": "string",
            "TargetedMessages": "string"
         },
         "LexBotAliasArn": "string",
         "LocaleId": "string",
         "RespondsTo": "string",
         "WelcomeIntent": "string"
      }
   },
   "Metadata": "string",
   "Name": "string",
   "Tags": [ 
      { 
         "Key": "string",
         "Value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateAppInstanceBot_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateAppInstanceBot_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AppInstanceArn](#API_CreateAppInstanceBot_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceBot-request-AppInstanceArn"></a>
The ARN of the `AppInstance` request.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [ClientRequestToken](#API_CreateAppInstanceBot_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceBot-request-ClientRequestToken"></a>
The unique ID for the client making the request. Use different tokens for different `AppInstanceBots`.  
Type: String  
Length Constraints: Minimum length of 2. Maximum length of 64.  
Pattern: `[-_a-zA-Z0-9]*`   
Required: Yes

 ** [Configuration](#API_CreateAppInstanceBot_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceBot-request-Configuration"></a>
Configuration information about the Amazon Lex V2 bot.  
Type: [Configuration](API_Configuration.md) object  
Required: Yes

 ** [Metadata](#API_CreateAppInstanceBot_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceBot-request-Metadata"></a>
The request metadata. Limited to a 1KB string in UTF-8.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*`   
Required: No

 ** [Name](#API_CreateAppInstanceBot_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceBot-request-Name"></a>
The user's name.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `[\u0009\u000A\u000D\u0020-\u007E\u0085\u00A0-\uD7FF\uE000-\uFFFD\u10000-\u10FFFF]*`   
Required: No

 ** [Tags](#API_CreateAppInstanceBot_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceBot-request-Tags"></a>
The tags assigned to the `AppInstanceBot`.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_CreateAppInstanceBot_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "AppInstanceBotArn": "string"
}
```

## Response Elements
<a name="API_CreateAppInstanceBot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceBotArn](#API_CreateAppInstanceBot_ResponseSyntax) **   <a name="chimesdk-CreateAppInstanceBot-response-AppInstanceBotArn"></a>
The ARN of the `AppinstanceBot`.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

## Errors
<a name="API_CreateAppInstanceBot_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_CreateAppInstanceBot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/CreateAppInstanceBot) 

# CreateAppInstanceUser
<a name="API_CreateAppInstanceUser"></a>

Creates a user under an Amazon Chime `AppInstance`. The request consists of a unique `appInstanceUserId` and `Name` for that user.

## Request Syntax
<a name="API_CreateAppInstanceUser_RequestSyntax"></a>

```
POST /app-instance-users HTTP/1.1
Content-type: application/json

{
   "AppInstanceArn": "string",
   "AppInstanceUserId": "string",
   "ClientRequestToken": "string",
   "ExpirationSettings": { 
      "ExpirationCriterion": "string",
      "ExpirationDays": number
   },
   "Metadata": "string",
   "Name": "string",
   "Tags": [ 
      { 
         "Key": "string",
         "Value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateAppInstanceUser_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateAppInstanceUser_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AppInstanceArn](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-AppInstanceArn"></a>
The ARN of the `AppInstance` request.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [AppInstanceUserId](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-AppInstanceUserId"></a>
The user ID of the `AppInstance`.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[A-Za-z0-9]([A-Za-z0-9\:\-\_\.\@]{0,62}[A-Za-z0-9])?`   
Required: Yes

 ** [ClientRequestToken](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-ClientRequestToken"></a>
The unique ID of the request. Use different tokens to request additional `AppInstances`.  
Type: String  
Length Constraints: Minimum length of 2. Maximum length of 64.  
Pattern: `[-_a-zA-Z0-9]*`   
Required: Yes

 ** [ExpirationSettings](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-ExpirationSettings"></a>
Settings that control the interval after which the `AppInstanceUser` is automatically deleted.  
Type: [ExpirationSettings](API_ExpirationSettings.md) object  
Required: No

 ** [Metadata](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-Metadata"></a>
The request's metadata. Limited to a 1KB string in UTF-8.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*`   
Required: No

 ** [Name](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-Name"></a>
The user's name.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*\S.*`   
Required: Yes

 ** [Tags](#API_CreateAppInstanceUser_RequestSyntax) **   <a name="chimesdk-CreateAppInstanceUser-request-Tags"></a>
Tags assigned to the `AppInstanceUser`.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_CreateAppInstanceUser_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "AppInstanceUserArn": "string"
}
```

## Response Elements
<a name="API_CreateAppInstanceUser_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceUserArn](#API_CreateAppInstanceUser_ResponseSyntax) **   <a name="chimesdk-CreateAppInstanceUser-response-AppInstanceUserArn"></a>
The user's ARN.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

## Errors
<a name="API_CreateAppInstanceUser_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_CreateAppInstanceUser_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/CreateAppInstanceUser) 

# DeleteAppInstance
<a name="API_DeleteAppInstance"></a>

Deletes an `AppInstance` and all associated data asynchronously.

## Request Syntax
<a name="API_DeleteAppInstance_RequestSyntax"></a>

```
DELETE /app-instances/appInstanceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAppInstance_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceArn](#API_DeleteAppInstance_RequestSyntax) **   <a name="chimesdk-DeleteAppInstance-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DeleteAppInstance_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAppInstance_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAppInstance_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAppInstance_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteAppInstance_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DeleteAppInstance) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DeleteAppInstance) 

# DeleteAppInstanceAdmin
<a name="API_DeleteAppInstanceAdmin"></a>

Demotes an `AppInstanceAdmin` to an `AppInstanceUser` or `AppInstanceBot`. This action does not delete the user.

## Request Syntax
<a name="API_DeleteAppInstanceAdmin_RequestSyntax"></a>

```
DELETE /app-instances/appInstanceArn/admins/appInstanceAdminArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAppInstanceAdmin_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceAdminArn](#API_DeleteAppInstanceAdmin_RequestSyntax) **   <a name="chimesdk-DeleteAppInstanceAdmin-request-uri-AppInstanceAdminArn"></a>
The ARN of the `AppInstance`'s administrator.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [appInstanceArn](#API_DeleteAppInstanceAdmin_RequestSyntax) **   <a name="chimesdk-DeleteAppInstanceAdmin-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DeleteAppInstanceAdmin_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAppInstanceAdmin_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAppInstanceAdmin_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAppInstanceAdmin_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteAppInstanceAdmin_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceAdmin) 

# DeleteAppInstanceBot
<a name="API_DeleteAppInstanceBot"></a>

Deletes an `AppInstanceBot`.

## Request Syntax
<a name="API_DeleteAppInstanceBot_RequestSyntax"></a>

```
DELETE /app-instance-bots/appInstanceBotArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAppInstanceBot_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceBotArn](#API_DeleteAppInstanceBot_RequestSyntax) **   <a name="chimesdk-DeleteAppInstanceBot-request-uri-AppInstanceBotArn"></a>
The ARN of the `AppInstanceBot` being deleted.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DeleteAppInstanceBot_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAppInstanceBot_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAppInstanceBot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAppInstanceBot_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteAppInstanceBot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceBot) 

# DeleteAppInstanceUser
<a name="API_DeleteAppInstanceUser"></a>

Deletes an `AppInstanceUser`.

## Request Syntax
<a name="API_DeleteAppInstanceUser_RequestSyntax"></a>

```
DELETE /app-instance-users/appInstanceUserArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAppInstanceUser_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceUserArn](#API_DeleteAppInstanceUser_RequestSyntax) **   <a name="chimesdk-DeleteAppInstanceUser-request-uri-AppInstanceUserArn"></a>
The ARN of the user request being deleted.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DeleteAppInstanceUser_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAppInstanceUser_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAppInstanceUser_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAppInstanceUser_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteAppInstanceUser_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DeleteAppInstanceUser) 

# DeregisterAppInstanceUserEndpoint
<a name="API_DeregisterAppInstanceUserEndpoint"></a>

Deregisters an `AppInstanceUserEndpoint`.

## Request Syntax
<a name="API_DeregisterAppInstanceUserEndpoint_RequestSyntax"></a>

```
DELETE /app-instance-users/appInstanceUserArn/endpoints/endpointId HTTP/1.1
```

## URI Request Parameters
<a name="API_DeregisterAppInstanceUserEndpoint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceUserArn](#API_DeregisterAppInstanceUserEndpoint_RequestSyntax) **   <a name="chimesdk-DeregisterAppInstanceUserEndpoint-request-uri-AppInstanceUserArn"></a>
The ARN of the `AppInstanceUser`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [endpointId](#API_DeregisterAppInstanceUserEndpoint_RequestSyntax) **   <a name="chimesdk-DeregisterAppInstanceUserEndpoint-request-uri-EndpointId"></a>
The unique identifier of the `AppInstanceUserEndpoint`.  
Length Constraints: Minimum length of 0. Maximum length of 64.  
Pattern: `.*`   
Required: Yes

## Request Body
<a name="API_DeregisterAppInstanceUserEndpoint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeregisterAppInstanceUserEndpoint_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeregisterAppInstanceUserEndpoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeregisterAppInstanceUserEndpoint_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DeregisterAppInstanceUserEndpoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DeregisterAppInstanceUserEndpoint) 

# DescribeAppInstance
<a name="API_DescribeAppInstance"></a>

Returns the full details of an `AppInstance`.

## Request Syntax
<a name="API_DescribeAppInstance_RequestSyntax"></a>

```
GET /app-instances/appInstanceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAppInstance_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceArn](#API_DescribeAppInstance_RequestSyntax) **   <a name="chimesdk-DescribeAppInstance-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DescribeAppInstance_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAppInstance_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstance": { 
      "AppInstanceArn": "string",
      "CreatedTimestamp": number,
      "LastUpdatedTimestamp": number,
      "Metadata": "string",
      "Name": "string"
   }
}
```

## Response Elements
<a name="API_DescribeAppInstance_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstance](#API_DescribeAppInstance_ResponseSyntax) **   <a name="chimesdk-DescribeAppInstance-response-AppInstance"></a>
The ARN, metadata, created and last-updated timestamps, and the name of the `AppInstance`. All timestamps use epoch milliseconds.  
Type: [AppInstance](API_AppInstance.md) object

## Errors
<a name="API_DescribeAppInstance_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeAppInstance_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DescribeAppInstance) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DescribeAppInstance) 

# DescribeAppInstanceAdmin
<a name="API_DescribeAppInstanceAdmin"></a>

Returns the full details of an `AppInstanceAdmin`.

## Request Syntax
<a name="API_DescribeAppInstanceAdmin_RequestSyntax"></a>

```
GET /app-instances/appInstanceArn/admins/appInstanceAdminArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAppInstanceAdmin_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceAdminArn](#API_DescribeAppInstanceAdmin_RequestSyntax) **   <a name="chimesdk-DescribeAppInstanceAdmin-request-uri-AppInstanceAdminArn"></a>
The ARN of the `AppInstanceAdmin`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [appInstanceArn](#API_DescribeAppInstanceAdmin_RequestSyntax) **   <a name="chimesdk-DescribeAppInstanceAdmin-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DescribeAppInstanceAdmin_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAppInstanceAdmin_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceAdmin": { 
      "Admin": { 
         "Arn": "string",
         "Name": "string"
      },
      "AppInstanceArn": "string",
      "CreatedTimestamp": number
   }
}
```

## Response Elements
<a name="API_DescribeAppInstanceAdmin_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceAdmin](#API_DescribeAppInstanceAdmin_ResponseSyntax) **   <a name="chimesdk-DescribeAppInstanceAdmin-response-AppInstanceAdmin"></a>
The ARN and name of the `AppInstanceUser`, the ARN of the `AppInstance`, and the created and last-updated timestamps. All timestamps use epoch milliseconds.  
Type: [AppInstanceAdmin](API_AppInstanceAdmin.md) object

## Errors
<a name="API_DescribeAppInstanceAdmin_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeAppInstanceAdmin_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceAdmin) 

# DescribeAppInstanceBot
<a name="API_DescribeAppInstanceBot"></a>

The `AppInstanceBot's` information.

## Request Syntax
<a name="API_DescribeAppInstanceBot_RequestSyntax"></a>

```
GET /app-instance-bots/appInstanceBotArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAppInstanceBot_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceBotArn](#API_DescribeAppInstanceBot_RequestSyntax) **   <a name="chimesdk-DescribeAppInstanceBot-request-uri-AppInstanceBotArn"></a>
The ARN of the `AppInstanceBot`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DescribeAppInstanceBot_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAppInstanceBot_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceBot": { 
      "AppInstanceBotArn": "string",
      "Configuration": { 
         "Lex": { 
            "InvokedBy": { 
               "StandardMessages": "string",
               "TargetedMessages": "string"
            },
            "LexBotAliasArn": "string",
            "LocaleId": "string",
            "RespondsTo": "string",
            "WelcomeIntent": "string"
         }
      },
      "CreatedTimestamp": number,
      "LastUpdatedTimestamp": number,
      "Metadata": "string",
      "Name": "string"
   }
}
```

## Response Elements
<a name="API_DescribeAppInstanceBot_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceBot](#API_DescribeAppInstanceBot_ResponseSyntax) **   <a name="chimesdk-DescribeAppInstanceBot-response-AppInstanceBot"></a>
The details of the `AppInstanceBot`.  
Type: [AppInstanceBot](API_AppInstanceBot.md) object

## Errors
<a name="API_DescribeAppInstanceBot_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** NotFoundException **   
One or more of the resources in the request does not exist in the system.  
HTTP Status Code: 404

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeAppInstanceBot_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceBot) 

# DescribeAppInstanceUser
<a name="API_DescribeAppInstanceUser"></a>

Returns the full details of an `AppInstanceUser`.

## Request Syntax
<a name="API_DescribeAppInstanceUser_RequestSyntax"></a>

```
GET /app-instance-users/appInstanceUserArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAppInstanceUser_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceUserArn](#API_DescribeAppInstanceUser_RequestSyntax) **   <a name="chimesdk-DescribeAppInstanceUser-request-uri-AppInstanceUserArn"></a>
The ARN of the `AppInstanceUser`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_DescribeAppInstanceUser_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAppInstanceUser_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceUser": { 
      "AppInstanceUserArn": "string",
      "CreatedTimestamp": number,
      "ExpirationSettings": { 
         "ExpirationCriterion": "string",
         "ExpirationDays": number
      },
      "LastUpdatedTimestamp": number,
      "Metadata": "string",
      "Name": "string"
   }
}
```

## Response Elements
<a name="API_DescribeAppInstanceUser_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceUser](#API_DescribeAppInstanceUser_ResponseSyntax) **   <a name="chimesdk-DescribeAppInstanceUser-response-AppInstanceUser"></a>
The name of the `AppInstanceUser`.  
Type: [AppInstanceUser](API_AppInstanceUser.md) object

## Errors
<a name="API_DescribeAppInstanceUser_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeAppInstanceUser_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUser) 

# DescribeAppInstanceUserEndpoint
<a name="API_DescribeAppInstanceUserEndpoint"></a>

Returns the full details of an `AppInstanceUserEndpoint`.

## Request Syntax
<a name="API_DescribeAppInstanceUserEndpoint_RequestSyntax"></a>

```
GET /app-instance-users/appInstanceUserArn/endpoints/endpointId HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAppInstanceUserEndpoint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceUserArn](#API_DescribeAppInstanceUserEndpoint_RequestSyntax) **   <a name="chimesdk-DescribeAppInstanceUserEndpoint-request-uri-AppInstanceUserArn"></a>
The ARN of the `AppInstanceUser`.  
Length Constraints: Minimum length of 0. Maximum length of 1600.  
Pattern: `.*`   
Required: Yes

 ** [endpointId](#API_DescribeAppInstanceUserEndpoint_RequestSyntax) **   <a name="chimesdk-DescribeAppInstanceUserEndpoint-request-uri-EndpointId"></a>
The unique identifier of the `AppInstanceUserEndpoint`.  
Length Constraints: Minimum length of 0. Maximum length of 64.  
Pattern: `.*`   
Required: Yes

## Request Body
<a name="API_DescribeAppInstanceUserEndpoint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAppInstanceUserEndpoint_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceUserEndpoint": { 
      "AllowMessages": "string",
      "AppInstanceUserArn": "string",
      "CreatedTimestamp": number,
      "EndpointAttributes": { 
         "DeviceToken": "string",
         "VoipDeviceToken": "string"
      },
      "EndpointId": "string",
      "EndpointState": { 
         "Status": "string",
         "StatusReason": "string"
      },
      "LastUpdatedTimestamp": number,
      "Name": "string",
      "ResourceArn": "string",
      "Type": "string"
   }
}
```

## Response Elements
<a name="API_DescribeAppInstanceUserEndpoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceUserEndpoint](#API_DescribeAppInstanceUserEndpoint_ResponseSyntax) **   <a name="chimesdk-DescribeAppInstanceUserEndpoint-response-AppInstanceUserEndpoint"></a>
The full details of an `AppInstanceUserEndpoint`: the `AppInstanceUserArn`, ID, name, type, resource ARN, attributes, allow messages, state, and created and last updated timestamps. All timestamps use epoch milliseconds.  
Type: [AppInstanceUserEndpoint](API_AppInstanceUserEndpoint.md) object

## Errors
<a name="API_DescribeAppInstanceUserEndpoint_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeAppInstanceUserEndpoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/DescribeAppInstanceUserEndpoint) 

# GetAppInstanceRetentionSettings
<a name="API_GetAppInstanceRetentionSettings"></a>

Gets the retention settings for an `AppInstance`.

## Request Syntax
<a name="API_GetAppInstanceRetentionSettings_RequestSyntax"></a>

```
GET /app-instances/appInstanceArn/retention-settings HTTP/1.1
```

## URI Request Parameters
<a name="API_GetAppInstanceRetentionSettings_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceArn](#API_GetAppInstanceRetentionSettings_RequestSyntax) **   <a name="chimesdk-GetAppInstanceRetentionSettings-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

## Request Body
<a name="API_GetAppInstanceRetentionSettings_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetAppInstanceRetentionSettings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceRetentionSettings": { 
      "ChannelRetentionSettings": { 
         "RetentionDays": number
      }
   },
   "InitiateDeletionTimestamp": number
}
```

## Response Elements
<a name="API_GetAppInstanceRetentionSettings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceRetentionSettings](#API_GetAppInstanceRetentionSettings_ResponseSyntax) **   <a name="chimesdk-GetAppInstanceRetentionSettings-response-AppInstanceRetentionSettings"></a>
The retention settings for the `AppInstance`.  
Type: [AppInstanceRetentionSettings](API_AppInstanceRetentionSettings.md) object

 ** [InitiateDeletionTimestamp](#API_GetAppInstanceRetentionSettings_ResponseSyntax) **   <a name="chimesdk-GetAppInstanceRetentionSettings-response-InitiateDeletionTimestamp"></a>
The timestamp representing the time at which the specified items are retained, in Epoch Seconds.  
Type: Timestamp

## Errors
<a name="API_GetAppInstanceRetentionSettings_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_GetAppInstanceRetentionSettings_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/GetAppInstanceRetentionSettings) 

# ListAppInstanceAdmins
<a name="API_ListAppInstanceAdmins"></a>

Returns a list of the administrators in the `AppInstance`.

## Request Syntax
<a name="API_ListAppInstanceAdmins_RequestSyntax"></a>

```
GET /app-instances/appInstanceArn/admins?max-results=MaxResults&next-token=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppInstanceAdmins_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceArn](#API_ListAppInstanceAdmins_RequestSyntax) **   <a name="chimesdk-ListAppInstanceAdmins-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [MaxResults](#API_ListAppInstanceAdmins_RequestSyntax) **   <a name="chimesdk-ListAppInstanceAdmins-request-uri-MaxResults"></a>
The maximum number of administrators that you want to return.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListAppInstanceAdmins_RequestSyntax) **   <a name="chimesdk-ListAppInstanceAdmins-request-uri-NextToken"></a>
The token returned from previous API requests until the number of administrators is reached.  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Request Body
<a name="API_ListAppInstanceAdmins_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppInstanceAdmins_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceAdmins": [ 
      { 
         "Admin": { 
            "Arn": "string",
            "Name": "string"
         }
      }
   ],
   "AppInstanceArn": "string",
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListAppInstanceAdmins_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceAdmins](#API_ListAppInstanceAdmins_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceAdmins-response-AppInstanceAdmins"></a>
The information for each administrator.  
Type: Array of [AppInstanceAdminSummary](API_AppInstanceAdminSummary.md) objects

 ** [AppInstanceArn](#API_ListAppInstanceAdmins_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceAdmins-response-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

 ** [NextToken](#API_ListAppInstanceAdmins_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceAdmins-response-NextToken"></a>
The token returned from previous API requests until the number of administrators is reached.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Errors
<a name="API_ListAppInstanceAdmins_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_ListAppInstanceAdmins_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/ListAppInstanceAdmins) 

# ListAppInstanceBots
<a name="API_ListAppInstanceBots"></a>

Lists all `AppInstanceBots` created under a single `AppInstance`.

## Request Syntax
<a name="API_ListAppInstanceBots_RequestSyntax"></a>

```
GET /app-instance-bots?app-instance-arn=AppInstanceArn&max-results=MaxResults&next-token=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppInstanceBots_RequestParameters"></a>

The request uses the following URI parameters.

 ** [AppInstanceArn](#API_ListAppInstanceBots_RequestSyntax) **   <a name="chimesdk-ListAppInstanceBots-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [MaxResults](#API_ListAppInstanceBots_RequestSyntax) **   <a name="chimesdk-ListAppInstanceBots-request-uri-MaxResults"></a>
The maximum number of requests to return.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListAppInstanceBots_RequestSyntax) **   <a name="chimesdk-ListAppInstanceBots-request-uri-NextToken"></a>
The token passed by previous API calls until all requested bots are returned.  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Request Body
<a name="API_ListAppInstanceBots_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppInstanceBots_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceArn": "string",
   "AppInstanceBots": [ 
      { 
         "AppInstanceBotArn": "string",
         "Metadata": "string",
         "Name": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListAppInstanceBots_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceArn](#API_ListAppInstanceBots_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceBots-response-AppInstanceArn"></a>
The ARN of the AppInstance.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

 ** [AppInstanceBots](#API_ListAppInstanceBots_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceBots-response-AppInstanceBots"></a>
The information for each requested `AppInstanceBot`.  
Type: Array of [AppInstanceBotSummary](API_AppInstanceBotSummary.md) objects

 ** [NextToken](#API_ListAppInstanceBots_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceBots-response-NextToken"></a>
The token passed by previous API calls until all requested bots are returned.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Errors
<a name="API_ListAppInstanceBots_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ResourceLimitExceededException **   
The request exceeds the resource limit.  
HTTP Status Code: 400

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_ListAppInstanceBots_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/ListAppInstanceBots) 

# ListAppInstances
<a name="API_ListAppInstances"></a>

Lists all Amazon Chime `AppInstance`s created under a single AWS account.

## Request Syntax
<a name="API_ListAppInstances_RequestSyntax"></a>

```
GET /app-instances?max-results=MaxResults&next-token=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppInstances_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_ListAppInstances_RequestSyntax) **   <a name="chimesdk-ListAppInstances-request-uri-MaxResults"></a>
The maximum number of `AppInstance`s that you want to return.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListAppInstances_RequestSyntax) **   <a name="chimesdk-ListAppInstances-request-uri-NextToken"></a>
The token passed by previous API requests until you reach the maximum number of `AppInstances`.  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Request Body
<a name="API_ListAppInstances_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppInstances_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstances": [ 
      { 
         "AppInstanceArn": "string",
         "Metadata": "string",
         "Name": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListAppInstances_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstances](#API_ListAppInstances_ResponseSyntax) **   <a name="chimesdk-ListAppInstances-response-AppInstances"></a>
The information for each `AppInstance`.  
Type: Array of [AppInstanceSummary](API_AppInstanceSummary.md) objects

 ** [NextToken](#API_ListAppInstances_ResponseSyntax) **   <a name="chimesdk-ListAppInstances-response-NextToken"></a>
The token passed by previous API requests until the maximum number of `AppInstance`s is reached.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Errors
<a name="API_ListAppInstances_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_ListAppInstances_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/ListAppInstances) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/ListAppInstances) 

# ListAppInstanceUserEndpoints
<a name="API_ListAppInstanceUserEndpoints"></a>

Lists all the `AppInstanceUserEndpoints` created under a single `AppInstanceUser`.

## Request Syntax
<a name="API_ListAppInstanceUserEndpoints_RequestSyntax"></a>

```
GET /app-instance-users/appInstanceUserArn/endpoints?max-results=MaxResults&next-token=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppInstanceUserEndpoints_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appInstanceUserArn](#API_ListAppInstanceUserEndpoints_RequestSyntax) **   <a name="chimesdk-ListAppInstanceUserEndpoints-request-uri-AppInstanceUserArn"></a>
The ARN of the `AppInstanceUser`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [MaxResults](#API_ListAppInstanceUserEndpoints_RequestSyntax) **   <a name="chimesdk-ListAppInstanceUserEndpoints-request-uri-MaxResults"></a>
The maximum number of endpoints that you want to return.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListAppInstanceUserEndpoints_RequestSyntax) **   <a name="chimesdk-ListAppInstanceUserEndpoints-request-uri-NextToken"></a>
The token passed by previous API calls until all requested endpoints are returned.  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Request Body
<a name="API_ListAppInstanceUserEndpoints_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppInstanceUserEndpoints_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceUserEndpoints": [ 
      { 
         "AllowMessages": "string",
         "AppInstanceUserArn": "string",
         "EndpointId": "string",
         "EndpointState": { 
            "Status": "string",
            "StatusReason": "string"
         },
         "Name": "string",
         "Type": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListAppInstanceUserEndpoints_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceUserEndpoints](#API_ListAppInstanceUserEndpoints_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceUserEndpoints-response-AppInstanceUserEndpoints"></a>
The information for each requested `AppInstanceUserEndpoint`.  
Type: Array of [AppInstanceUserEndpointSummary](API_AppInstanceUserEndpointSummary.md) objects

 ** [NextToken](#API_ListAppInstanceUserEndpoints_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceUserEndpoints-response-NextToken"></a>
The token passed by previous API calls until all requested endpoints are returned.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Errors
<a name="API_ListAppInstanceUserEndpoints_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_ListAppInstanceUserEndpoints_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/ListAppInstanceUserEndpoints) 

# ListAppInstanceUsers
<a name="API_ListAppInstanceUsers"></a>

List all `AppInstanceUsers` created under a single `AppInstance`.

## Request Syntax
<a name="API_ListAppInstanceUsers_RequestSyntax"></a>

```
GET /app-instance-users?app-instance-arn=AppInstanceArn&max-results=MaxResults&next-token=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppInstanceUsers_RequestParameters"></a>

The request uses the following URI parameters.

 ** [AppInstanceArn](#API_ListAppInstanceUsers_RequestSyntax) **   <a name="chimesdk-ListAppInstanceUsers-request-uri-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [MaxResults](#API_ListAppInstanceUsers_RequestSyntax) **   <a name="chimesdk-ListAppInstanceUsers-request-uri-MaxResults"></a>
The maximum number of requests that you want returned.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListAppInstanceUsers_RequestSyntax) **   <a name="chimesdk-ListAppInstanceUsers-request-uri-NextToken"></a>
The token passed by previous API calls until all requested users are returned.  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Request Body
<a name="API_ListAppInstanceUsers_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppInstanceUsers_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AppInstanceArn": "string",
   "AppInstanceUsers": [ 
      { 
         "AppInstanceUserArn": "string",
         "Metadata": "string",
         "Name": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListAppInstanceUsers_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AppInstanceArn](#API_ListAppInstanceUsers_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceUsers-response-AppInstanceArn"></a>
The ARN of the `AppInstance`.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 1600.  
Pattern: `arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}` 

 ** [AppInstanceUsers](#API_ListAppInstanceUsers_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceUsers-response-AppInstanceUsers"></a>
The information for each requested `AppInstanceUser`.  
Type: Array of [AppInstanceUserSummary](API_AppInstanceUserSummary.md) objects

 ** [NextToken](#API_ListAppInstanceUsers_ResponseSyntax) **   <a name="chimesdk-ListAppInstanceUsers-response-NextToken"></a>
The token passed by previous API calls until all requested users are returned.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

## Errors
<a name="API_ListAppInstanceUsers_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** BadRequestException **   
The input parameters don't match the service's restrictions.  
HTTP Status Code: 400

 ** ForbiddenException **   
The client is permanently forbidden from making the request.  
HTTP Status Code: 403

 ** ServiceFailureException **   
The service encountered an unexpected error.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is currently unavailable.  
HTTP Status Code: 503

 ** ThrottledClientException **   
The client exceeded its request rate limit.  
HTTP Status Code: 429

 ** UnauthorizedClientException **   
The client is not currently authorized to make the request.  
HTTP Status Code: 401

## See Also
<a name="API_ListAppInstanceUsers_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/chime-sdk-identity-2021-04-20/ListAppInstanceUsers) 

# ListTagsForResource
<a name="API_ListTagsForResource"></a>

Lists the tags applied to an Amazon Chime SDK identity resource.

## Request Syntax
<a name="API_ListTagsForResource_RequestSyntax"></a>

```
GET /tags?arn=ResourceARN HTTP/1.1
```

## URI Request Parameters
<a name="API_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

[...]
